'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _react3 = require('@storybook/react');

var _reactRedux = require('react-redux');

var _moment = require('moment/moment');

var _moment2 = _interopRequireDefault(_moment);

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

var _axiosMockAdapter = require('axios-mock-adapter');

var _axiosMockAdapter2 = _interopRequireDefault(_axiosMockAdapter);

var _search = require('../.storybook/mocks/api/search.json');

var _search2 = _interopRequireDefault(_search);

var _search3 = require('../.storybook/mocks/api/search');

var _search4 = _interopRequireDefault(_search3);

var _DataTableContainer = require('./DataTableContainer');

var _DataTableContainer2 = _interopRequireDefault(_DataTableContainer);

var _store = require('../example/store');

var _store2 = _interopRequireDefault(_store);

require('./assets/sass/styles.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line import/no-unresolved
var mock = new _axiosMockAdapter2.default(_axios2.default);
var MOCK_API_LOCATION = 'http://localhost/api/search';

var dateFormatter = function dateFormatter(cell) {
  return (0, _moment2.default)(cell).format('ddd, Do MMM YYYY HH:mm');
};

var actionFormatter = function actionFormatter() {
  return _react2.default.createElement(
    'div',
    { className: 'table-icons' },
    _react2.default.createElement('span', { className: 'view link' })
  );
};

var exampleTableSettings = {
  tableID: 'ExampleDataTable',
  wrapperType: 'section',
  displayTitle: 'Requests Table',
  keyField: 'request_id',
  defaultSort: ['request_id', 'desc'],
  minWidth: 880,
  useLocalStorage: true,
  tableColumns: [{
    title: 'Ref',
    key: 'request_id',
    filter: 'NumberFilter',
    defaultValue: { comparator: '=' },
    width: 74
  }, {
    title: 'User ID',
    key: 'user_id',
    filter: 'NumberFilter',
    defaultValue: { comparator: '=' },
    width: 74,
    export: false
  }, {
    title: 'First Name',
    key: 'first_name',
    width: 90
  }, {
    title: 'Last Name',
    key: 'surname',
    width: 90
  }, {
    title: 'Email Address',
    key: 'email',
    width: 164
  }, {
    title: 'Request Date',
    key: 'created_at',
    filter: 'CustomDateRangeFilter',
    disableSearchAll: true,
    dataFormat: dateFormatter,
    width: 120
  }, {
    title: 'Type',
    key: 'type',
    filter: 'SelectFilter',
    filterOptions: {
      Add: 'Add',
      Amend: 'Amend',
      Remove: 'Remove'
    }
  }, {
    title: 'System',
    key: 'system_type',
    filter: 'SelectFilter',
    filterOptions: {
      training: 'training',
      staging: 'staging',
      production: 'production'
    }
  }, {
    title: 'Actions',
    key: 'actions',
    searchable: false,
    sortable: false,
    export: false,
    dataFormat: actionFormatter
  }]
};

(0, _react3.storiesOf)('DataTable', module).add('Basic Example', function () {
  mock.onPost(MOCK_API_LOCATION).reply(function (config) {
    var params = new URLSearchParams(decodeURIComponent(config.data));
    return [200, (0, _search4.default)(_search2.default, params)];
  });
  return _react2.default.createElement(
    _reactRedux.Provider,
    { store: _store2.default },
    _react2.default.createElement(_DataTableContainer2.default, { tableSettings: exampleTableSettings, apiLocation: MOCK_API_LOCATION, axiosInstance: _axios2.default })
  );
});